using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class GameManager : MonoBehaviour
{
    // Les valeurs de base à afficher
    private string[] _valeurs = {"Bob","Yvette","Paul"};

    // Les champs de texte UI pour les affichages
    [SerializeField] private Text[] _champs;

    // Les toggles de notre interface
    [SerializeField] private Toggle[] _mesToggles;

    void Start()
    {
        // Dès le départ, je veux vérifier quel
        // toggle est coché pour afficher
        // ce qu'il faut
        VerifierToggles();
    }

    // Fonction liée à l'événement OnValueChanged de chaque toggle 
    public void CliquerToggle(Toggle toggle)
    {
        // Si le toggle est bien coché...
        if(toggle.isOn)
        {
            VerifierToggles(); // On vérifie l'ensemble des toggles
        }
    }

    // Vérifie l'ensemble des toggle et détermine quoi afficher
    public void VerifierToggles()
    {
        string affichage;

        // On parcours le tableau des toggles
        for (int i = 0; i < _mesToggles.Length; i++)
        {
            // Si un toggle est coché...
            if(_mesToggles[i].isOn)
            {
                // Le message à afficher sera différent
                affichage =  "Salut " + _valeurs[i];
            }
            else
            {
                // Le message à afficher est la valeur de base
                affichage = _valeurs[i];
            }
            Afficher(_champs[i], affichage);
        }
    }

    // Fait l'affichage dans le champ de texte spécifié
    private void Afficher(Text champDeTexte, string chaine)
    {
        champDeTexte.text = chaine;
    }
    
}